\documentclass{article}

\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{latexsym}
\usepackage{graphics}
\usepackage{graphicx}
\usepackage{proof}
\usepackage{float}
\usepackage{fancyheadings}

%
% HTML
%
\usepackage[backref]{hyperref}

%
% Format in Tech-Report mode
%
\input{trdefs.tex}
\techreporttrue

\input{defs.tex}

\normalsize
\raggedbottom
\setlength{\textwidth}{6.5in}
\setlength{\marginparwidth}{0pt}
\setlength{\oddsidemargin}{0in}
\setlength{\evensidemargin}{0in}
\setlength{\headheight}{0.25in}
\setlength{\headsep}{0.25in}
\setlength{\topmargin}{0.0in}
\setlength{\textheight}{8.5in}
\setlength{\parskip}{0pt}
\setlength{\parindent}{0.25in}

\lhead{Transactional Garbage Collection}
\lfoot{DRAFT - NOT FOR DISTRIBUTION}
\rfoot{\today}

\begin{document}

\pagestyle{plain}
\pagenumbering{roman}

\title{Transactional Garbage Collection\footnote{This tech report is
    based on XXX}}
\author{Jason Hickey \and Justin D.~Smith}
\date{\today}

\maketitle

\tableofcontents

\listoffigures

\pagebreak
\pagestyle{fancy}
\pagenumbering{arabic}

% This needs to appear after the TOC, otherwise 
% the TOC comes out looking rather bizarre...
\setlength{\parskip}{1em}
\setlength{\parindent}{0in}

\input{data.tex}
\input{heap.tex}
\input{gc_operations.tex}

\bibliographystyle{plain}
\bibliography{metaprl}

\end{document}
